# Работа с SQL базами для 1script

Внешняя компонента реализующая возможность работы с базами данных из onescript.

Поддерживаются базы: sqlite, MS SQL Server, MySQL, PostgreSQL

Для коннектора sqlite позволяет работать с базой im memory.

Имеется возможность писать запросы на выборку данных, использовать параметры запросах.

Реализована возможность выполнения запросов DDL и DML.

Если не подходит сборка sqlite выложенная в release - следует скачать подходящую с официального сайта [sqlite](http://system.data.sqlite.org/index.html/doc/trunk/www/downloads.wiki)

Примечание: УстановитьПараметр принимает типы: Строка, Число, Дата, Булево


## Пример

```bsl
Соединение = Новый Соединение();
Соединение.ТипСУБД = Соединение.ТипыСУБД.sqlite;
Соединение.ИмяБазы = ":memory:";
Соединение.Открыть();

Запрос = Новый Запрос();
Запрос.УстановитьСоединение(Соединение);
Запрос.Текст = "Create table users (id integer, name text)";
Запрос.ВыполнитьКоманду();

Запрос.Текст = "insert into users (id, name) values(1, @name)";
Запрос.УстановитьПараметр("name", "Сергей");
Запрос.ВыполнитьКоманду();

Запрос2 = Новый Запрос();
Запрос2.УстановитьСоединение(Соединение);
Запрос2.Текст = "select * from users where id = @id";
Запрос2.УстановитьПараметр("id", 1);
ТЗ = Запрос2.Выполнить().Выгрузить();

Для каждого Стр Из ТЗ Цикл
    Сообщить("Имя: " + Стр.Name + " (" + Стр.id + ")")
КонецЦикла;
```
